commit:     2a6db8e3036e5362eac46dcc72fb161787b17f2a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 20 05:31:15 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 20 06:24:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a6db8e3

dev-python/async-lru: Bump to 2.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/async-lru/Manifest               |  1 +
 dev-python/async-lru/async-lru-2.0.0.ebuild | 42 +++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/async-lru/Manifest b/dev-python/async-lru/Manifest
index 27d0fdc15813..73ca055194b4 100644
--- a/dev-python/async-lru/Manifest
+++ b/dev-python/async-lru/Manifest
@@ -1 +1,2 @@
 DIST async-lru-1.0.3.gh.tar.gz 10709 BLAKE2B 
437880c419d0d8df5c790ff9b93d0b608dacba1847fc0974d35f89ff97bdd07589edc5371c729889791cb05cd8ec684764ecedc6d0d36b05ee930f885570095c
 SHA512 
530c6e1f7a1ecc8a78cac927ccb9dfc2e394498a6ed3f54e73e4e9af48ef26ddeaad56a056a50b3c3974324af69b393cd94b1f4d20e3a2944b217c03a6bd6394
+DIST async-lru-2.0.0.gh.tar.gz 11119 BLAKE2B 
7bfc174ec68ce8a3ad7de94c6eb555aa53be5561c7376bf8149e91f9d8f08361f4b51ba45cecaa77cc89c5c7fc4a225f71fd56878cf64647f7cc82a06ec76b02
 SHA512 
dbbd4f63d488bde8d4e15b205bca2850c8992d67491c5c0d2c245ed2bc1005df523f837c736db96b6cdcad22c9cf409111040e9d3a86a38c5b627aa256a6b5a6

diff --git a/dev-python/async-lru/async-lru-2.0.0.ebuild 
b/dev-python/async-lru/async-lru-2.0.0.ebuild
new file mode 100644
index 000000000000..ad601a9411d7
--- /dev/null
+++ b/dev-python/async-lru/async-lru-2.0.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple lru_cache for asyncio"
+HOMEPAGE="
+       https://github.com/aio-libs/async-lru/
+       https://pypi.org/project/async-lru/
+"
+SRC_URI="
+       https://github.com/aio-libs/async-lru/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-python/pytest-6.2.4[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -e 's:--cache-clear::' \
+               -e 's:--no-cov-on-fail --cov=async_lru --cov-report=term 
--cov-report=html::' \
+               -i setup.cfg || die
+
+       distutils-r1_src_prepare
+}

Reply via email to